M1 Installation

Hi,

Before buying the license, I wanted to know if the installation works smoothly on M1 (MacBook Pro M1 Max) without any hack needed.

Thanks!

Yes, it's supported. There are wheels provided for prodigy for python 3.9 and 3.10 and spacy runs well with pip install 'spacy[apple]'. You do need to install Xcode in order to compile spacy, but that's it.

Many of the developers work on M1s, so support should not be an issue if any problems crop up.

1 Like